# Topic preferences

The Batch Cordova Plugin allows you to:

* Add or remove topic preferences from a user profile (the profile is created automatically if it doesn’t already exist).
* Partially update topic preferences within a user profile.

> Requires Batch Cordova Plugin 7.1+

Here’s how to update topic preferences:

```javascript
batch.profile.getEditor()
    .setTopicPreferences([("technology", "finance"]) // Null to erase.
    // Alternatively, partially update them with:
    .addToTopicPreferences(["investing"])
    .removeFromTopicPreferences(["travel"])
    .save();
```

{% hint style="info" %}
**Note**: Topics must be a valid List of String not longer than 25 items. String should be made of letters, numbers or underscores (\[a-z0-9\_]) and can't be longer than 300 characters.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.batch.com/developer/sdk/cordova/profile-data/sms-subscription-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
